import java.io.*;
import java.util.*;

public class TestGen {
	public static void main(String[] args) throws IOException {
		new TestGen().run();
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter out;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	int tNumber;
	Random rnd;
	final int MAXN = 300000;
	ArrayList<Integer> test;
	
	void print(String s) throws IOException {
		System.err.println(tNumber);
		if (tNumber < 10) {
			out = new PrintWriter("../tests/0" + tNumber);
		} else {
			out = new PrintWriter("../tests/" + tNumber);
		}
		tNumber++;
		out.println(s);
		out.close();
	}
	
		
	
	String genRandomString(int len, String alph) {
		char[] a = new char[len];
		for (int i = 0; i < len; i++) {
			a[i] = alph.charAt(rnd.nextInt(alph.length()));
		}
		return new String(a);
	}

	void genSimple() throws IOException {
		print("ab");
		print("a");
        	print("abaa");
        	print("aaba");
        	print("abba");
        	print("aaab");
        	print("baaa");
		print("aabaa");
		print("abaaa");
	}

	void genStrange(int n, int x) throws IOException {
		char[] ch = new char[n];
		Arrays.fill(ch, 'a');
		for (int i = 0; i < x; i++) {
			ch[rnd.nextInt(n)] = 'b';
		}
		print(new String(ch));
	}
       

	void genTueMors(int n) throws IOException {
		char[] ch = new char[n];
		for (int i = 0; i < n; i++) {
			if (Long.bitCount(i) % 2 == 0) ch[i] = 'a'; else ch[i] = 'b';
		}
		print(new String(ch));
	}

	

	public void generate() throws IOException {
		new File("../tests").mkdir();
		tNumber = 1;
		rnd = new Random(3131313);
		genSimple();
		for (int i = 0; i < 5; i++)
			genStrange(300000, 1);

		for (int i = 0; i < 5; i++)
			genStrange(300000, 2);

		for (int i = 0; i < 5; i++)
			genStrange(300000, 3);
		genTueMors(300000);
		genTueMors(300000-1);
		genTueMors(300000-2);
		genTueMors(300000-3);
		genTueMors(300000-4);
		for (int i = 0; i < 16; i++) {
			print(genRandomString(7, "ab"));
			print(genRandomString(10, "ab"));
		}
		for (int i = 0; i < 15; i++) {
			print(genRandomString(5, "za"));
			print(genRandomString(8, "az"));
		}
		for (int i = 0; i < 7; i++) {
			print(genRandomString(100, "qwertyuiopasdfghjklzxcvbnm"));
		}
		

	
	}

	public void run() throws IOException {
		Locale.setDefault(Locale.US);
		generate();
	}
}